RDKit: ForceFields::MMFF::OopBendContrib Class Reference

| RDKit Open-source cheminformatics and machine learning.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
ForceFields::MMFF::OopBendContrib Class Reference

the out-of-plane term for MMFF More...

`#include <OopBend.h>`

Inheritance diagram for ForceFields::MMFF::OopBendContrib:

## Public Member Functions
| OopBendContrib ()
| OopBendContrib (ForceField *owner, unsigned int idx1, unsigned int idx2, unsigned int idx3, unsigned int idx4, const MMFFOop *mmffOopParams)
| Constructor. More...
double | getEnergy (double *pos) const
| returns our contribution to the energy of a position More...
void | getGrad (double *pos, double *grad) const
| calculates our contribution to the gradients of a position More...
virtual OopBendContrib * | copy () const
| return a copy More...
Public Member Functions inherited from ForceFields::ForceFieldContrib
| ForceFieldContrib ()
| ForceFieldContrib (ForceFields::ForceField *owner)
virtual | ~ForceFieldContrib ()

## Additional Inherited Members
Protected Attributes inherited from ForceFields::ForceFieldContrib
ForceField * | dp_forceField
| our owning ForceField More...

## Detailed Description

the out-of-plane term for MMFF

Definition at line 23 of file OopBend.h.

## Constructor & Destructor Documentation

ForceFields::MMFF::OopBendContrib::OopBendContrib | ( |  | ) |
| inline

Definition at line 25 of file OopBend.h.

References getEnergy(), and getGrad().

Referenced by copy().

ForceFields::MMFF::OopBendContrib::OopBendContrib | ( | ForceField * | owner,
|  | unsigned int | idx1,
|  | unsigned int | idx2,
|  | unsigned int | idx3,
|  | unsigned int | idx4,
|  | const MMFFOop * | mmffOopParams
| ) |  |

Constructor.

The Wilson angle is between the vector formed by atom2-atom4 and the angle formed by atom1-atom2-atom3

    \param owner       pointer to the owning ForceField
    \param idx1        index of atom1 in the ForceField's positions
    \param idx2        index of atom2 in the ForceField's positions
    \param idx3        index of atom3 in the ForceField's positions
    \param idx4        index of atom4 in the ForceField's positions

## Member Function Documentation

virtual OopBendContrib* ForceFields::MMFF::OopBendContrib::copy | ( |  | ) | const
| inlinevirtual

return a copy

Implements ForceFields::ForceFieldContrib.

Definition at line 42 of file OopBend.h.

References ForceFields::MMFF::Utils::calcOopBendEnergy(), ForceFields::MMFF::Utils::calcOopBendForceConstant(), ForceFields::MMFF::Utils::calcOopChi(), and OopBendContrib().

double ForceFields::MMFF::OopBendContrib::getEnergy | ( | double * | pos | ) | const
| virtual

returns our contribution to the energy of a position

Implements ForceFields::ForceFieldContrib.

Referenced by OopBendContrib().

void ForceFields::MMFF::OopBendContrib::getGrad | ( | double * | pos,
|  | double * | grad
| ) |  | const
| virtual

calculates our contribution to the gradients of a position

Implements ForceFields::ForceFieldContrib.

Referenced by OopBendContrib().

The documentation for this class was generated from the following file:

- OopBend.h